İçeriğe geç

Embed Product

Entegre et

Model kimliği bria/embed-product
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/embed-product?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_source": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,04 40 API kredisi · ≈ ₽4,22 Bu sayfada çalıştır

API anahtarı al
Bria AI · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Görsel URL'si.

Gelişmiş seed · products
varsayılan 5555

Tekrarlanabilir sonuçlar için rastgeleliği denetleyen seed.

Liste olarak sağlanan, görsele eklenecek ürünler.

POST /run/bria/embed-product?wait=20 fiyat → $0,04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/embed-product?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_source": "example"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Embed Product hakkında

`image_source` üzerinden bir sahne görseli ve içine yerleştirilecek 1 ile 10 öğe içeren bir `products` listesi alır. Yerleştirilen her öğe için perspektif ve aydınlatma ayarlanır. `seed` (varsayılan 5555), tekrarlanabilir çıktı sağlar. Reklam ve e-ticaret kompozitleri için uygundur; tek bir görsel ve tohumu döndürür.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
image_sourcegerekli
Türstring
Görsel URL'si.
productsisteğe bağlı
Türobject[]
≤ 10 öğe
Liste olarak sağlanan, görsele eklenecek ürünler.
products[].image_sourcegerekli
Türstring
Görsel URL'si.
products[].coordinatesgerekli
Türobject
products[].coordinates.xgerekli
Türnumber
Ürünün görselin X ekseni üzerindeki konumu.
products[].coordinates.ygerekli
Türnumber
Ürünün görselin Y ekseni üzerindeki konumu.
products[].coordinates.widthgerekli
Türnumber
Ürünün görsel içindeki genişliği.
products[].coordinates.heightgerekli
Türnumber
Ürünün görsel içindeki yüksekliği.
seedisteğe bağlı
Türinteger
Varsayılan5555
Tekrarlanabilir sonuçlar için rastgeleliği denetleyen seed.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/embed-product",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_source": "example"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
image
object {url, content_type, file_name, file_size, width, height}Eklenen ürünleri içeren çıktı görseli.
seed
integerÜretim sırasında uygulanan seed.

Daha fazla model: Görsel Düzenleme

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bria/embed-product.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt